#ifndef MYBUFFER_DUMMYLIB_H
#define MYBUFFER_DUMMYLIB_H

#include <string>

#include "mybuffer/aldabalib.h"

class DummyLib : public AldabaLib {
 public:
  ~DummyLib() final = default;

  int MyPrint(const char *, ...) override { return 0; }
  int MyPrintWithLevel(LogLevel, const char*, ...) override { return 0; }
  void MyRevert(const std::string &) override {}

 protected:
  int MyGetStorageInternal(const std::string &, std::string &) override {
    return 0;
  }

  int MySetStorageInternal(const std::string &, const std::string &) override {
    return 0;
  }

  int MyDelStorageInternal(const std::string &) override { return 0; }
};

#endif  // MYBUFFER_DUMMYLIB_H